# Memory Backends — Reinforcement Learning Coach 0.12.0 documentation

# Memory Backends

## RedisPubSubBackend

class `rl_coach.memories.backend.redis.``RedisPubSubBackend`(params: rl_coach.memories.backend.redis.RedisPubSubMemoryBackendParameters)

  A memory backend which transfers the experiences from the rollout to the training worker using Redis Pub/Sub in Coach when distributed mode is used.

  Parameters

    params – The Redis parameters to be used with this Redis Pub/Sub instance.